KROS-GATE, Version 2.6
Copyright (c) 2015-2023, Elesta Co. LTD., St.Petersburg, Russia


Условные обозначения:
* Изменения/исправления
! Важные изменения
+ Добавления
# Существенные добавления

Сокращения:
    КРОС	Комплекс Распределеной Обработки Сообщений
    СЛ		Сервер Лицензирования
    ROOT        Сервер Лицензирования
    АРМ СК	Автоматизированное Рабочее Место Ситуационная Карта
    АРМ ДО	Автоматизированное Рабочее Место Дежурный Офицер
    АРМ ДПУ	Автоматизированное Рабочее Место Дежурный Пульта Управления
    ГЗ или ГБР	Группа задержания или Группа Быстрого Реагирования
    ОО		Охранная организация
    ОЛ          Ответственное лицо
    ИН          Идентификационный номер (Пультовой номер)
    ЛК          Личный кабинет
    ТК          Тревожная кнопка


ТЕКУЩАЯ СБОРКА 2.6.1.341 2025-06-04
* Изменен конфигуратор 5.2.74

2.6.0.332 2023-05-29
* Обновлён удалённый конфигуратор до версии 5.2.61

2.6.0.331 2022-01-16
* Изменён номер релиза для совместимости драйверов с КРОС

2.5.9.330 2022-06-08
! Обновлены библиотеки с обнаруженной уязвимостью
* Исправлена ошибка, при которой большое количество изменений в удалённом конфигураторе не сохранялись
* Исправлен парсер ключа nf

2.5.9.329 2022-03-24
+ Добавлены сообщения "Нарушение", "Исправление", "Включение АСУПТ", "Выключение АСУПТ", "Звук отключен"

2.5.9.328 2022-01-28
+ Добавлены сообщения "Обрыв ВУ", "ВУ в норме (обрыв)", "КЗ ВУ", "ВУ в норме (КЗ)", "ВУ в норме"

2.5.8.323 2021-11-08
* Обработка сообщения CASE_CLOSED для шлейфа.
* Корректировка последовательности перепрошивки для ПК5.
* Для сообщения Тревога КТС - варианты без юзера, с радиоустройством.
+ Добавлена обработка сообщения Маскирование.
* Коррекция обработки задержки на выход.
+ Фиксация основного канала по данным конфигурации.
+ Определение основного канала по дежурному режиму 3.
* Конфигуратор, Version 5.2.9
# Поддержка диапазонов в командах конфигурации.
* Коррекция реального времени для навигационных сообщений.
* Везде "аккумулятор" заменен на "батарея".
+ Сообщение "Доп батарея разряжена".
+ Сообщение "Неисправность аккумулятора" и "Восстановление аккумулятора"
+ Добавлен парсинг сообщений "Заряд батареи" и "Батарея заряжена".
+ Добавлен парсинг ключа PH - номер телефона для СИМ-карты прибора.
* Парсинг сообщений в транслите для 6422, 6423, итд.

2.5.8.306 2021-06-21
* Коррекция парсера текстовых сообщений в соответствии с новым форматом.
* Принудительная установка времени последнего пакета для ПК4.
* Коррекция счетчика комманд для ПК5.
* Коррекция периода ожидания выхода прибора в оффлайн на низком уровне 
  протокола ПК4.
* Коррекция реакции на дежурный режим 1 ПК4 и ПК5. Метка времени не ставится.
+ Параметр context.options.noack true/false- ожидание подтверждения припема.
+ Обработка сообщения с ТК "Тревога ручная".
* Коррекция обработки статуса шлейфа "НАРУШЕН" для снятого раздела.
# Сообщение LOCATION и механизм обработки координат
* Коррекция парсинга статуса шлейфа - "НАРУШЕН" и "ВЗЯТ".
* Оптимизация конвертора ЕСОП.
# Релиз 7

2.5.5.285 2020-07-09
! Возможность работы с приборами содержащими расширители и ОУ с пересекающимися 
  индексами.
+ Добавлена обработка сообщений 10914/20914 - Блокировка/Разблокировка
* Коррекция парсинга адресации РК приборов.
* Коррекция адресации радиоустройств и проводных расширителей.
* Коррекция адресации радиоустройств
+ Добавлена таблица перекодировки для Андромеды
+ Добавлено стартовое меню с выбором таблицы перекодировки
+ Добавлена возможность задавать время до вывода сообщения о неисправности канала связи
+ Добавлена возможность задавать время до вывода сообщения о потере связи с устройством
+ Добавлена возможность задавать период оповещения о потере связи с устройством
* Увеличена производительность работы веб-интерфейса
* Исправлена ошибка некорректной остановки Шлюза

2.5.5.272 2020-06-19
+ Добавлены существующие таблицы перекодировки, распологаются в папке ./conf.
* Параметр options.period - задание минимального периода отправки сообщений 
  дежурного режима.
+ Добавлена возможность задавать минимальный период отправки сообщений дежурного режима через web-интерфейс
+ Добавлена возможность выбирать десятичный/шестнадцатиричный режим работы через web-интерфейс
+ Добавлена возможность выбирать один из двух трансляторов сообщений (TcpSurgard и TcpSurgardV4) через web-интерфейс
* Право пользователя обновлять сервер вынесено отдельным параметром
# Добавлены функции иморта и экспорта таблицы перекодировки
+ Добавлена возможность импортировать таблицу перекодировки, экспортированную из сервера КРОС

2.5.4.268 2020-05-13
* Коррекция парсинга ПК5 для РК устройств
* Коррекция алгоритма обработки сообщения Вход
+ Добавлено собщение LOCKED_BY_BALANCE 10471, EventType.ATTENTION, "Функция 
  заблокирована за неуплату"
! Инкремент разряда релиза для изоляции репозитория 2.5.3.

2.5.3 2020-03-13
! Релиз.

2.5.4.255 2020-03-12
* Коррекция определения состояния прибора J2084
* Коррекция парсинга секции расширителей для ПК4/ПК5.
* Коррекция контроля прохождения команд в режиме обучения. В т.ч. смены ключа.
* Коррекция ключа в БД при первом удачном подключении прибора.
* Коррекция парсинга сообщения Вход ошибочно содержащего код раздела дважды.
* Сообщение "Неисправность ШС" изменено на "Неисправность"
+ Добавлены сообщения связанные с проверкой КТС
+ Добавлена карточка прибора
+ Добавлена закладка разделы с возможностью редактирования описание зоны
+ Добавлен PIN сервера в настройках
+ Добавлен столбец с кнопкой редактирования в таблице приборов
* Лента сообщений перенесена во вкладку в карточке прибора
- Удалено редактирование приборов непосредственно из строки


2.5.1.209 2019-10-07
! Релиз 2.5.1

2.5.1.209 2019-10-07
* Коррекция процедуры смены ключа ПК5
* Коррекция формирования адреса с радиоустройством
* Коррекция трансляции сообщения "Переход на резервное питание"
+ Добавлена возможность удалять приборы из интерфейса
+ Добавлена возможность выбирать несколько приборов для удаления
* Добавлена возможность менять imei и описание прибора без смены ИН
* Убрано автоматическое удаление приборов из системы
# Миграция данных пользователя в базу данных
# Добавлена возможность создавать и редактировать пользователей через web интерфейс
# Добавлены права пользователей
* Добавлена сортировка приборов по ИД
* Изменена кнопка "Выйти".
* Настройка адреса и портов перенесена в окно настройки.
* Увеличена производительность системы

2.5.0.200 2019-09-06
* Коррекция обработки ключа конфигурации AC
* Коррекция индикации номера расширителя и радиоустройства в ПК5

2.5.0.198 2019-09-03
! Релиз 2.5

2.4.8.193 2019-08-23
* Коррекция аутентификации при запросе обновления версии
* Коррекция формирования списка портов при старте
* Добавлен опрос прибора при первом подключении

2.4.8.176 2019-08-05
! Шлюз переведен на работу с базой данных с долгосрочным хранением.
* Коррекция сетевых протоколов обмена данными по UDP

2.4.7.169 2019-08-01
* Сообщение Саботаж 10310 SABOTAGE
* Сообщение Радиопомеха 10344 RADIO_HITCH
* Разбор номера радиоустройства в РКПС (в Envelope не передается)
* Коррекция разбора номера зоны в РКПС
* Коррекция трансляции дежурных сообщений
* Коррекция передачи кода ХО 
+ Возможность смены, получения и сброса ключа шифрования прибора вынесены в API.
* Коррекция процедуры смены ключа шифрования для приборов Юпитер.
* Коррекция преобразования идентификатора прибоа при его изменении.
* Коррекция протокола ПК4 в направлении идентификации нового устройства с ранее
  измененным ключом

2.4.3.164 2019-07-29
+ Добавлено сохранение информации по приборам
+ Добавлена подгрузка приборов после перезапуска сервера
+ Добавлено сохранение событий приборов. Теперь отображаются все события по прибору после перезагрузки сервера
* Устранение ошибок и повышение производительности

2.4.3.151 2019-07-17
! Добавлена возможность устанавливать десятичный / шестнадцатиричный режим отображения и передачи ИН
* Добавлено ограничение ИН по значению от 0 до 65535 в десятичном режиме
* Добавлено ограничение ИН по значению от 0 до FFFF в шестнадцатеричном режиме
* Исправлено отображение входящей и исходящей очереди web-интерфейса
* Исправлена ошибка проверки IP
* Устранение ошибок и повышение производительности

2.4.3.129 2019-05-01
# Добавлена возможность обновления через web-интерфейс
* Исправлен баг с длиной сообщений
* Оптимизирована работа web-интерфейса
* Заблокированные сообщения теперь убираются из ленты сообщений

2.4.1.113 2019-04-09
# Добавлена таблица перекодировки в web-интерфейс
* Добавлены цвета в таблицу перекодировки
* Добавлено выделение бледным серым заблокированных сообщений
* Дополнена лента сообщений прибора 
! Исправлен баг с перестартующими портами
* Оптимизация кода

2.4.1.111 2019-04-01
# Добавлен web-интерфейс
+ Добавлена возможность изменять параметры прибора в системе с помощью web-интерфейса
+ Добавлена возможность удаленного конфигурирования ПК5 приборов
+ Добавлено управление прибором через API
# Добавлено сохранение исходящей очереди сообщений
+ Добавлено сохранение измененных параметров прибора в devices.properties
* Отключены TCP приемники в настройках по-умолчанию.
+ Добавлена возможность смены порта UDP приемника сообщений с помощью web-интерфейса без остановки сервера
+ Добавлена возможность смены настроек трансляции (IP/порт) с помощью web-интерфейса без остановки сервера
# Добавлена авторизация для доступа к web-интерфейсу 
+ Добавлена лента сообщений для каждого прибора
+ Добавлена возможность настроить фильтр сообщений в broadcast.properties
+ Добавлено состояние загрузки удаленного конфигуратора прибора
* Исправлен баг с неработающим фильтром сообщений
* Оптимизирована работа с базой данных  
* Исправлен баг с частичным взятием прибора при получении короткого замыкания по охранному шлейфу
* Уменьшено количество расходуемого системой трафика
* Поправлен порядок команд конфигурации прибора
* Исправлена реакция системы на некорректные данные в web-интерфейсе
* Повышена производительность системы
+ Добавлено отображение очереди сообщений на web-интерфейсе
! Увеличена скорость остановки сервиса из коммандной строки
! Исправлен баг с переподключением трансляции при закрытии соединения
! Исправлен баг с незакрывающимися окнами в web-интерфейсе
* Исправлен баг с поиском в web-интерфейсе
+ Контроль неисправности канала
+ Удаление неактивных приборов через указанный период
* Прочие мелкие правки

2.3.48.50 2018-10-18
+ Оптимизация работы с базой данных
* Коррекция обработки тревожных сообщений от шлейфов с задержкой
* Коррекция функции обновления версии (теперь настройки системы не сбрасываются 
  при обновлениях).
